Get all objects for a account. Supported Objects are contact, opportunity, business and custom objects.To understand objects and records, please have a look at the documentation here : https://doc.clickup.com/8631005/d/h/87cpx-277156/93bf0c2e23177b0

http
GET https://services.leadconnectorhq.com/objects/

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYes632c34b4c9b7da3358ac9891account id

Responses

200 - Successful response
  • objects (object[])

    • id (string, required): id of the custom / standard object schema Example: 661c06b4ffde146bdb469442

    • standard (boolean, required): false in case of custom objects and true in case of standard objects like contacts and opportunities Example: False

    • key (string, required): key that would be used to refer the custom / standard Object internally (lowercase + underscore_separated). For custom objects, 'custom_objects.' would be added as prefix by default Example: custom_objects.pet

    • labels (object, required): This is what your custom / standard object will be called. These labels will be used to display your custom object on the UI

    • description (string): Custom / Standard Object Descriptions for example , Pet Objects description Example: These are non vaccinated pets`

    • locationId (string, required): account's id Example: Q9DT3OAqEXDLYuob1G32

    • primaryDisplayProperty (string, required): Primary property for the custom / standard Object. This would be used as primary data when rendering the UI. 'custom_objects.{{object_key}} or business.{{object_key}} (for company)' would be added as prefix by default for all the custom / standard objects Example: custom_objects.pet.name

    • dateAdded (string, required): Date and time when the object was added

    • dateUpdated (string, required): Date and time when the object was last updated

    • type (object): Objects Type Example: The Object type can either USER_DEFINED or SYSTEM_DEFINED`

json
{
  "objects": [
    {
      "id": "661c06b4ffde146bdb469442",
      "standard": false,
      "key": "custom_objects.pet",
      "labels": {
        "singular": "Pet",
        "plural": "Pets"
      },
      "description": "These are non vaccinated pets",
      "locationId": "Q9DT3OAqEXDLYuob1G32",
      "primaryDisplayProperty": "custom_objects.pet.name",
      "dateAdded": "2024-01-15T10:30:00Z",
      "dateUpdated": "2024-01-15T10:30:00Z",
      "type": "The Object type can either USER_DEFINED or SYSTEM_DEFINED"
    }
  ]
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/objects/' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?